/************************
 PIC16F690 SPI - MCP23S08 I/O expander
The program controls two LEDs connected to the MCP23S08 GP6 and GP7 pin.
It binary counts from zero to three on the LEDs.

Connections
MCP23S08
PIN 1 to PIC16F690 PIN 11 (SCK/RB6)
PIN 2 to PIC16F690 PIN 9 (SDO/RC7)
PIN 3 to PIC16F690 PIN 13 (SDI/RB4)
PIN 4 to Gnd
PIN 5 to Gnd
PIN 6 to Vdd
PIN 7 to PIC16F690 PIN 8 (SS/RC6)
PIN 8 to NC
PIN 9 to NC
PIN 10 to LED1 Anode
PIN 11 to LED2 Anode
PIN 12 to NC
PIN 13 to NC
PIN 14 to NC
PIN 15 to NC
PIN 16 to NC
PIN 17 to NC
PIN 18 to 5v 

LED1 and LED 2 each Cathode to ground through 220 ohm resistor.

*/
#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include "simplec1.1.h"


void
main(void)
{
init_micro();
spi_init();	
WR_MCP23S08 (IODIR, 0x00);	// Setup pins as outputs
while (1==1)
	{
	for(char x = 0; x<4; x++)
		{
WR_MCP23S08 (IODIR, 0x00);	// Setup pins as outputs		
WR_MCP23S08 (OLAT, x);	// Turn on LEDs				
		pause(1000);
		}
 	} //End While
} //End Main	      
